# -*- coding: utf-8 -*-
##################################################
# This file is part of WAPT Enterprise
# All right reserved, (c) Tranquil IT Systems 2023
# For more information please refer to
# https://wapt.tranquil.it/store/licences.html
##################################################
from setuphelpers import *

def install():
    bin_name = glob.glob("gcompris-*.dmg")[0]
    tempo_path = "/tmp/cdrTempo"
    run(f"hdiutil convert -quiet {bin_name} -format UDTO -o {tempo_path}")
    
    install_dmg(f"{tempo_path}.cdr", min_version=control.get_software_version())
    
    if isfile(f"{tempo_path}.cdr"):
        remove_file(f"{tempo_path}.cdr")


def uninstall():
    remove_tree("/Applications/gcompris-qt.app")

